Openstack minor update fails with "ERROR: The "pre-update" hook is not defined on SoftwareDeployment "UpdateDeployment""

Solution Verified - Updated -

Issue

When running openstack overcloud update stack -i overcloud if fails with:

$ openstack overcloud update stack -i overcloud
starting package update on stack overcloud
WAITING
on_breakpoint: [u'overcloud-oscar1com03', u'overcloud-oscar1com06', u'overcloud-oscar1ctr01', u'overcloud-oscar1com02', u'overcloud-oscar1com01', u'overcloud-oscar1ctr02', u'overcloud-oscar1cep02', u'overcloud-oscar1cep01', u'overcloud-oscar1com04', u'overcloud-oscar1ctr03', u'overcloud-oscar1com05']
Breakpoint reached, continue? Regexp or Enter=proceed (will clear 39b815f7-3e11-4985-8755-d98fa9cee117), no=cancel update, C-c=quit interactive mode:
failed to remove breakpoint on overcloud-oscar1com05: ERROR: The "pre-update" hook is not defined on SoftwareDeployment "UpdateDeployment" [39b815f7-3e11-4985-8755-d98fa9cee117] Stack "overcloud-Compute-tgkbzaqcyn42-4-3rqvymqchyht" [7bcf2ac6-d672-479b-bc2d-bf7574743eb0]
FAILED
update finished with status FAILED
Stack update failed.

Environment

  • Red Hat OpenStack Platform 10.0
  • Red Hat OpenStack Platform 9.0
  • Red Hat OpenStack Platform 8.0
  • <=openstack-heat-common-7.0.0-7.el7ost

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In